VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

PhysicalDeviceMeshShaderPropertiesNV (uint32_t maxDrawMeshTasksCount_=0, uint32_t maxTaskWorkGroupInvocations_=0, std::array< uint32_t, 3 > const &maxTaskWorkGroupSize_={ { 0, 0, 0 } }, uint32_t maxTaskTotalMemorySize_=0, uint32_t maxTaskOutputCount_=0, uint32_t maxMeshWorkGroupInvocations_=0, std::array< uint32_t, 3 > const &maxMeshWorkGroupSize_={ { 0, 0, 0 } }, uint32_t maxMeshTotalMemorySize_=0, uint32_t maxMeshOutputVertices_=0, uint32_t maxMeshOutputPrimitives_=0, uint32_t maxMeshMultiviewViewCount_=0, uint32_t meshOutputPerVertexGranularity_=0, uint32_t meshOutputPerPrimitiveGranularity_=0)

| PhysicalDeviceMeshShaderPropertiesNV (VkPhysicalDeviceMeshShaderPropertiesNV const &rhs)
PhysicalDeviceMeshShaderPropertiesNV & | operator= (VkPhysicalDeviceMeshShaderPropertiesNV const &rhs)
PhysicalDeviceMeshShaderPropertiesNV & | setPNext (void *pNext_)
PhysicalDeviceMeshShaderPropertiesNV & | setMaxDrawMeshTasksCount (uint32_t maxDrawMeshTasksCount_)
PhysicalDeviceMeshShaderPropertiesNV & | setMaxTaskWorkGroupInvocations (uint32_t maxTaskWorkGroupInvocations_)
PhysicalDeviceMeshShaderPropertiesNV & | setMaxTaskWorkGroupSize (std::array< uint32_t, 3 > maxTaskWorkGroupSize_)
PhysicalDeviceMeshShaderPropertiesNV & | setMaxTaskTotalMemorySize (uint32_t maxTaskTotalMemorySize_)
PhysicalDeviceMeshShaderPropertiesNV & | setMaxTaskOutputCount (uint32_t maxTaskOutputCount_)
PhysicalDeviceMeshShaderPropertiesNV & | setMaxMeshWorkGroupInvocations (uint32_t maxMeshWorkGroupInvocations_)
PhysicalDeviceMeshShaderPropertiesNV & | setMaxMeshWorkGroupSize (std::array< uint32_t, 3 > maxMeshWorkGroupSize_)
PhysicalDeviceMeshShaderPropertiesNV & | setMaxMeshTotalMemorySize (uint32_t maxMeshTotalMemorySize_)
PhysicalDeviceMeshShaderPropertiesNV & | setMaxMeshOutputVertices (uint32_t maxMeshOutputVertices_)
PhysicalDeviceMeshShaderPropertiesNV & | setMaxMeshOutputPrimitives (uint32_t maxMeshOutputPrimitives_)
PhysicalDeviceMeshShaderPropertiesNV & | setMaxMeshMultiviewViewCount (uint32_t maxMeshMultiviewViewCount_)
PhysicalDeviceMeshShaderPropertiesNV & | setMeshOutputPerVertexGranularity (uint32_t meshOutputPerVertexGranularity_)
PhysicalDeviceMeshShaderPropertiesNV & | setMeshOutputPerPrimitiveGranularity (uint32_t meshOutputPerPrimitiveGranularity_)
| operator VkPhysicalDeviceMeshShaderPropertiesNV const & () const
| operator VkPhysicalDeviceMeshShaderPropertiesNV & ()
bool | operator== (PhysicalDeviceMeshShaderPropertiesNV const &rhs) const
bool | operator!= (PhysicalDeviceMeshShaderPropertiesNV const &rhs) const

## Data Fields

void * | pNext = nullptr
uint32_t | maxDrawMeshTasksCount
uint32_t | maxTaskWorkGroupInvocations
uint32_t | maxTaskWorkGroupSize [3]
uint32_t | maxTaskTotalMemorySize
uint32_t | maxTaskOutputCount
uint32_t | maxMeshWorkGroupInvocations
uint32_t | maxMeshWorkGroupSize [3]
uint32_t | maxMeshTotalMemorySize
uint32_t | maxMeshOutputVertices
uint32_t | maxMeshOutputPrimitives
uint32_t | maxMeshMultiviewViewCount
uint32_t | meshOutputPerVertexGranularity
uint32_t | meshOutputPerPrimitiveGranularity

## Private Attributes

StructureType | sType = StructureType::ePhysicalDeviceMeshShaderPropertiesNV

## Detailed Description

Definition at line 20056 of file vulkan.hpp.

## Constructor & Destructor Documentation

## PhysicalDeviceMeshShaderPropertiesNV() [1/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::PhysicalDeviceMeshShaderPropertiesNV | ( | uint32_t | maxDrawMeshTasksCount_ = `0`,
|  | uint32_t | maxTaskWorkGroupInvocations_ = `0`,
|  | std::array< uint32_t, 3 > const & | maxTaskWorkGroupSize_ = `{ { 0, 0, 0 } }`,
|  | uint32_t | maxTaskTotalMemorySize_ = `0`,
|  | uint32_t | maxTaskOutputCount_ = `0`,
|  | uint32_t | maxMeshWorkGroupInvocations_ = `0`,
|  | std::array< uint32_t, 3 > const & | maxMeshWorkGroupSize_ = `{ { 0, 0, 0 } }`,
|  | uint32_t | maxMeshTotalMemorySize_ = `0`,
|  | uint32_t | maxMeshOutputVertices_ = `0`,
|  | uint32_t | maxMeshOutputPrimitives_ = `0`,
|  | uint32_t | maxMeshMultiviewViewCount_ = `0`,
|  | uint32_t | meshOutputPerVertexGranularity_ = `0`,
|  | uint32_t | meshOutputPerPrimitiveGranularity_ = `0`
| ) |  |

inline

Definition at line 20058 of file vulkan.hpp.

{ { 0, 0, 0 } },
uint32_t maxTaskTotalMemorySize_ = 0,
uint32_t maxTaskOutputCount_ = 0,
uint32_t maxMeshWorkGroupInvocations_ = 0,
std::array<uint32_t,3> const& maxMeshWorkGroupSize_ = { { 0, 0, 0 } },
uint32_t maxMeshTotalMemorySize_ = 0,
uint32_t maxMeshOutputVertices_ = 0,
uint32_t maxMeshOutputPrimitives_ = 0,
uint32_t maxMeshMultiviewViewCount_ = 0,
uint32_t meshOutputPerVertexGranularity_ = 0,
uint32_t meshOutputPerPrimitiveGranularity_ = 0 )
: maxDrawMeshTasksCount( maxDrawMeshTasksCount_ )
, maxTaskWorkGroupInvocations( maxTaskWorkGroupInvocations_ )
, maxTaskTotalMemorySize( maxTaskTotalMemorySize_ )
, maxTaskOutputCount( maxTaskOutputCount_ )
, maxMeshWorkGroupInvocations( maxMeshWorkGroupInvocations_ )
, maxMeshTotalMemorySize( maxMeshTotalMemorySize_ )
, maxMeshOutputVertices( maxMeshOutputVertices_ )
, maxMeshOutputPrimitives( maxMeshOutputPrimitives_ )
, maxMeshMultiviewViewCount( maxMeshMultiviewViewCount_ )
, meshOutputPerVertexGranularity( meshOutputPerVertexGranularity_ )
, meshOutputPerPrimitiveGranularity( meshOutputPerPrimitiveGranularity_ )
{
memcpy( &maxTaskWorkGroupSize, maxTaskWorkGroupSize_.data(), 3 * sizeof( uint32_t ) );
memcpy( &maxMeshWorkGroupSize, maxMeshWorkGroupSize_.data(), 3 * sizeof( uint32_t ) );
}

## PhysicalDeviceMeshShaderPropertiesNV() [2/2]

VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::PhysicalDeviceMeshShaderPropertiesNV | ( | VkPhysicalDeviceMeshShaderPropertiesNV const & | rhs | ) |

inline

Definition at line 20087 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceMeshShaderPropertiesNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkPhysicalDeviceMeshShaderPropertiesNV &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::operator VkPhysicalDeviceMeshShaderPropertiesNV & | ( |  | ) |

inline

Definition at line 20186 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceMeshShaderPropertiesNV*>(this);
}

## operator VkPhysicalDeviceMeshShaderPropertiesNV const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::operator VkPhysicalDeviceMeshShaderPropertiesNV const & | ( |  | ) | const

inline

Definition at line 20181 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceMeshShaderPropertiesNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::operator!= | ( | PhysicalDeviceMeshShaderPropertiesNV const & | rhs | ) | const

inline

Definition at line 20210 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::operator= | ( | VkPhysicalDeviceMeshShaderPropertiesNV const & | rhs | ) |

inline

Definition at line 20092 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( PhysicalDeviceMeshShaderPropertiesNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::operator== | ( | PhysicalDeviceMeshShaderPropertiesNV const & | rhs | ) | const

inline

Definition at line 20191 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( maxDrawMeshTasksCount == rhs.maxDrawMeshTasksCount )
&& ( maxTaskWorkGroupInvocations == rhs.maxTaskWorkGroupInvocations )
&& ( memcmp( maxTaskWorkGroupSize, rhs.maxTaskWorkGroupSize, 3 * sizeof( uint32_t ) ) == 0 )
&& ( maxTaskTotalMemorySize == rhs.maxTaskTotalMemorySize )
&& ( maxTaskOutputCount == rhs.maxTaskOutputCount )
&& ( maxMeshWorkGroupInvocations == rhs.maxMeshWorkGroupInvocations )
&& ( memcmp( maxMeshWorkGroupSize, rhs.maxMeshWorkGroupSize, 3 * sizeof( uint32_t ) ) == 0 )
&& ( maxMeshTotalMemorySize == rhs.maxMeshTotalMemorySize )
&& ( maxMeshOutputVertices == rhs.maxMeshOutputVertices )
&& ( maxMeshOutputPrimitives == rhs.maxMeshOutputPrimitives )
&& ( maxMeshMultiviewViewCount == rhs.maxMeshMultiviewViewCount )
&& ( meshOutputPerVertexGranularity == rhs.meshOutputPerVertexGranularity )
&& ( meshOutputPerPrimitiveGranularity == rhs.meshOutputPerPrimitiveGranularity );
}

References maxDrawMeshTasksCount, maxMeshMultiviewViewCount, maxMeshOutputPrimitives, maxMeshOutputVertices, maxMeshTotalMemorySize, maxMeshWorkGroupInvocations, maxMeshWorkGroupSize, maxTaskOutputCount, maxTaskTotalMemorySize, maxTaskWorkGroupInvocations, maxTaskWorkGroupSize, meshOutputPerPrimitiveGranularity, meshOutputPerVertexGranularity, pNext, and sType.

Referenced by operator!=().

## setMaxDrawMeshTasksCount()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::setMaxDrawMeshTasksCount | ( | uint32_t | maxDrawMeshTasksCount_ | ) |

inline

Definition at line 20103 of file vulkan.hpp.

{
maxDrawMeshTasksCount = maxDrawMeshTasksCount_;
return *this;
}

References maxDrawMeshTasksCount.

## setMaxMeshMultiviewViewCount()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::setMaxMeshMultiviewViewCount | ( | uint32_t | maxMeshMultiviewViewCount_ | ) |

inline

Definition at line 20163 of file vulkan.hpp.

{
maxMeshMultiviewViewCount = maxMeshMultiviewViewCount_;
return *this;
}

References maxMeshMultiviewViewCount.

## setMaxMeshOutputPrimitives()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::setMaxMeshOutputPrimitives | ( | uint32_t | maxMeshOutputPrimitives_ | ) |

inline

Definition at line 20157 of file vulkan.hpp.

{
maxMeshOutputPrimitives = maxMeshOutputPrimitives_;
return *this;
}

References maxMeshOutputPrimitives.

## setMaxMeshOutputVertices()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::setMaxMeshOutputVertices | ( | uint32_t | maxMeshOutputVertices_ | ) |

inline

Definition at line 20151 of file vulkan.hpp.

{
maxMeshOutputVertices = maxMeshOutputVertices_;
return *this;
}

References maxMeshOutputVertices.

## setMaxMeshTotalMemorySize()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::setMaxMeshTotalMemorySize | ( | uint32_t | maxMeshTotalMemorySize_ | ) |

inline

Definition at line 20145 of file vulkan.hpp.

{
maxMeshTotalMemorySize = maxMeshTotalMemorySize_;
return *this;
}

References maxMeshTotalMemorySize.

## setMaxMeshWorkGroupInvocations()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::setMaxMeshWorkGroupInvocations | ( | uint32_t | maxMeshWorkGroupInvocations_ | ) |

inline

Definition at line 20133 of file vulkan.hpp.

{
maxMeshWorkGroupInvocations = maxMeshWorkGroupInvocations_;
return *this;
}

References maxMeshWorkGroupInvocations.

## setMaxMeshWorkGroupSize()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::setMaxMeshWorkGroupSize | ( | std::array< uint32_t, 3 > | maxMeshWorkGroupSize_ | ) |

inline

Definition at line 20139 of file vulkan.hpp.

{
memcpy( &maxMeshWorkGroupSize, maxMeshWorkGroupSize_.data(), 3 * sizeof( uint32_t ) );
return *this;
}

References maxMeshWorkGroupSize, and memcpy.

## setMaxTaskOutputCount()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::setMaxTaskOutputCount | ( | uint32_t | maxTaskOutputCount_ | ) |

inline

Definition at line 20127 of file vulkan.hpp.

{
maxTaskOutputCount = maxTaskOutputCount_;
return *this;
}

References maxTaskOutputCount.

## setMaxTaskTotalMemorySize()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::setMaxTaskTotalMemorySize | ( | uint32_t | maxTaskTotalMemorySize_ | ) |

inline

Definition at line 20121 of file vulkan.hpp.

{
maxTaskTotalMemorySize = maxTaskTotalMemorySize_;
return *this;
}

References maxTaskTotalMemorySize.

## setMaxTaskWorkGroupInvocations()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::setMaxTaskWorkGroupInvocations | ( | uint32_t | maxTaskWorkGroupInvocations_ | ) |

inline

Definition at line 20109 of file vulkan.hpp.

{
maxTaskWorkGroupInvocations = maxTaskWorkGroupInvocations_;
return *this;
}

References maxTaskWorkGroupInvocations.

## setMaxTaskWorkGroupSize()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::setMaxTaskWorkGroupSize | ( | std::array< uint32_t, 3 > | maxTaskWorkGroupSize_ | ) |

inline

Definition at line 20115 of file vulkan.hpp.

{
memcpy( &maxTaskWorkGroupSize, maxTaskWorkGroupSize_.data(), 3 * sizeof( uint32_t ) );
return *this;
}

References maxTaskWorkGroupSize, and memcpy.

## setMeshOutputPerPrimitiveGranularity()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::setMeshOutputPerPrimitiveGranularity | ( | uint32_t | meshOutputPerPrimitiveGranularity_ | ) |

inline

Definition at line 20175 of file vulkan.hpp.

{
meshOutputPerPrimitiveGranularity = meshOutputPerPrimitiveGranularity_;
return *this;
}

References meshOutputPerPrimitiveGranularity.

## setMeshOutputPerVertexGranularity()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::setMeshOutputPerVertexGranularity | ( | uint32_t | meshOutputPerVertexGranularity_ | ) |

inline

Definition at line 20169 of file vulkan.hpp.

{
meshOutputPerVertexGranularity = meshOutputPerVertexGranularity_;
return *this;
}

References meshOutputPerVertexGranularity.

## setPNext()

PhysicalDeviceMeshShaderPropertiesNV& VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::setPNext | ( | void * | pNext_ | ) |

inline

Definition at line 20097 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## maxDrawMeshTasksCount

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxDrawMeshTasksCount

Definition at line 20220 of file vulkan.hpp.

Referenced by operator==(), and setMaxDrawMeshTasksCount().

## maxMeshMultiviewViewCount

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxMeshMultiviewViewCount

Definition at line 20230 of file vulkan.hpp.

Referenced by operator==(), and setMaxMeshMultiviewViewCount().

## maxMeshOutputPrimitives

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxMeshOutputPrimitives

Definition at line 20229 of file vulkan.hpp.

Referenced by operator==(), and setMaxMeshOutputPrimitives().

## maxMeshOutputVertices

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxMeshOutputVertices

Definition at line 20228 of file vulkan.hpp.

Referenced by operator==(), and setMaxMeshOutputVertices().

## maxMeshTotalMemorySize

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxMeshTotalMemorySize

Definition at line 20227 of file vulkan.hpp.

Referenced by operator==(), and setMaxMeshTotalMemorySize().

## maxMeshWorkGroupInvocations

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxMeshWorkGroupInvocations

Definition at line 20225 of file vulkan.hpp.

Referenced by operator==(), and setMaxMeshWorkGroupInvocations().

## maxMeshWorkGroupSize

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxMeshWorkGroupSize[3]

Definition at line 20226 of file vulkan.hpp.

Referenced by operator==(), and setMaxMeshWorkGroupSize().

## maxTaskOutputCount

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxTaskOutputCount

Definition at line 20224 of file vulkan.hpp.

Referenced by operator==(), and setMaxTaskOutputCount().

## maxTaskTotalMemorySize

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxTaskTotalMemorySize

Definition at line 20223 of file vulkan.hpp.

Referenced by operator==(), and setMaxTaskTotalMemorySize().

## maxTaskWorkGroupInvocations

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxTaskWorkGroupInvocations

Definition at line 20221 of file vulkan.hpp.

Referenced by operator==(), and setMaxTaskWorkGroupInvocations().

## maxTaskWorkGroupSize

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxTaskWorkGroupSize[3]

Definition at line 20222 of file vulkan.hpp.

Referenced by operator==(), and setMaxTaskWorkGroupSize().

## meshOutputPerPrimitiveGranularity

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::meshOutputPerPrimitiveGranularity

Definition at line 20232 of file vulkan.hpp.

Referenced by operator==(), and setMeshOutputPerPrimitiveGranularity().

## meshOutputPerVertexGranularity

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::meshOutputPerVertexGranularity

Definition at line 20231 of file vulkan.hpp.

Referenced by operator==(), and setMeshOutputPerVertexGranularity().

## pNext

void* VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::pNext = nullptr

Definition at line 20219 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::sType = StructureType::ePhysicalDeviceMeshShaderPropertiesNV

private

Definition at line 20216 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::PhysicalDeviceMeshShaderPropertiesNV
PhysicalDeviceMeshShaderPropertiesNV(uint32_t maxDrawMeshTasksCount_=0, uint32_t maxTaskWorkGroupInvocations_=0, std::array< uint32_t, 3 > const &maxTaskWorkGroupSize_={ { 0, 0, 0 } }, uint32_t maxTaskTotalMemorySize_=0, uint32_t maxTaskOutputCount_=0, uint32_t maxMeshWorkGroupInvocations_=0, std::array< uint32_t, 3 > const &maxMeshWorkGroupSize_={ { 0, 0, 0 } }, uint32_t maxMeshTotalMemorySize_=0, uint32_t maxMeshOutputVertices_=0, uint32_t maxMeshOutputPrimitives_=0, uint32_t maxMeshMultiviewViewCount_=0, uint32_t meshOutputPerVertexGranularity_=0, uint32_t meshOutputPerPrimitiveGranularity_=0)
Definition: vulkan.hpp:20058
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxDrawMeshTasksCount
uint32_t maxDrawMeshTasksCount
Definition: vulkan.hpp:20220
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxTaskTotalMemorySize
uint32_t maxTaskTotalMemorySize
Definition: vulkan.hpp:20223
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxMeshMultiviewViewCount
uint32_t maxMeshMultiviewViewCount
Definition: vulkan.hpp:20230
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::meshOutputPerPrimitiveGranularity
uint32_t meshOutputPerPrimitiveGranularity
Definition: vulkan.hpp:20232
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxMeshWorkGroupInvocations
uint32_t maxMeshWorkGroupInvocations
Definition: vulkan.hpp:20225
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxMeshTotalMemorySize
uint32_t maxMeshTotalMemorySize
Definition: vulkan.hpp:20227
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxMeshOutputVertices
uint32_t maxMeshOutputVertices
Definition: vulkan.hpp:20228
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxMeshOutputPrimitives
uint32_t maxMeshOutputPrimitives
Definition: vulkan.hpp:20229
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::operator==
bool operator==(PhysicalDeviceMeshShaderPropertiesNV const &rhs) const
Definition: vulkan.hpp:20191
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::pNext
void * pNext
Definition: vulkan.hpp:20219
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::meshOutputPerVertexGranularity
uint32_t meshOutputPerVertexGranularity
Definition: vulkan.hpp:20231
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxMeshWorkGroupSize
uint32_t maxMeshWorkGroupSize[3]
Definition: vulkan.hpp:20226
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxTaskOutputCount
uint32_t maxTaskOutputCount
Definition: vulkan.hpp:20224
VkPhysicalDeviceMeshShaderPropertiesNV
Definition: vulkan_core.h:8659
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::sType
StructureType sType
Definition: vulkan.hpp:20216
uint32_t
unsigned int uint32_t
Definition: SDL_config_windows.h:63
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxTaskWorkGroupInvocations
uint32_t maxTaskWorkGroupInvocations
Definition: vulkan.hpp:20221
VULKAN_HPP_NAMESPACE::PhysicalDeviceMeshShaderPropertiesNV::maxTaskWorkGroupSize
uint32_t maxTaskWorkGroupSize[3]
Definition: vulkan.hpp:20222